"use strict";
exports.__esModule = true;
var parseBoolean = require("boolean");
function coerceValue(value, toType, defaultValue) {
    if (value === undefined) {
        return defaultValue;
    }
    if (value instanceof Array) {
        return value.map(function (v) { return coerceValue(v, toType, undefined); });
    }
    if (toType === Number) {
        return +value;
    }
    else if (toType === Boolean) {
        return parseBoolean(value);
    }
    else {
        return value;
    }
}
exports.coerceValue = coerceValue;
